import { Event } from "../../../../base/common/event.js";
import { IExtensionsConfigContent } from "@codingame/monaco-vscode-9ed6fe06-a052-57c2-a234-5d9b94d2e7e0-common/vscode/vs/workbench/services/extensionRecommendations/common/workspaceExtensionsConfig";
export declare const IWorkspaceExtensionsConfigService: import("../../../../platform/instantiation/common/instantiation.js").ServiceIdentifier<IWorkspaceExtensionsConfigService>;
export interface IWorkspaceExtensionsConfigService {
    readonly _serviceBrand: undefined;
    onDidChangeExtensionsConfigs: Event<void>;
    getExtensionsConfigs(): Promise<IExtensionsConfigContent[]>;
    getRecommendations(): Promise<string[]>;
    getUnwantedRecommendations(): Promise<string[]>;
    toggleRecommendation(extensionId: string): Promise<void>;
    toggleUnwantedRecommendation(extensionId: string): Promise<void>;
}
